<!-- 园区总览右 -->
<template>
  <div class="containerR">
    <div class="MainRight1">
      <div class="titleC">各类规划用地面积</div>
      <div class="MainRightChart1" id="MainRightChart1"></div>
    </div>
    <div class="MainRight2">
      <div class="MainRight2Chart1">
        <div class="title">
          <span>年办件审批量</span>
          <!-- <button @click="CheckAttachment('审批大厅')">审批大厅</button> -->
        </div>
        <div id="MainRight2Chart1"></div>
      </div>
      <div class="MainRight2Chart2">
        <div class="title">
          <span>市级下放事项</span>
          <!--					<button @click="CheckAttachment('政策文件')"   :class="{'button':DialogClose1}">政策文件</button>-->
          <button @click="CheckAttachment('政策文件')">政策文件</button>
        </div>
        <div id="MainRight2Chart2"></div>
      </div>
    </div>
    <div class="MainRight3">
      <div class="MainRight3Chart1">
        <div class="title">
          <span>审批事项类型占比</span>
          <!--					<button @click="CheckAttachment('审批推进')"   :class="{'button':DialogClose2}">审批推进</button>-->
          <button @click="CheckAttachment('审批推进')">审批推进</button>
        </div>
        <div id="MainRight3Chart1"></div>
      </div>
      <div class="MainRight3Chart2">
        <div class="title">
          <span>审批流程</span>
          <!--					<button @click="CheckAttachment('审批流程')"    :class="{'button':DialogClose3}">审批流程</button>-->
          <button @click="CheckAttachment('审批流程')">审批流程</button>
        </div>
        <div id="MainRight3Chart2">
          <table>
            <tr class="tr1">
              <td>
                <br />
                立项用地规划许可
              </td>
              <td></td>
              <td>
                <br />
                工程建设许可
              </td>
              <td></td>
              <td>
                <br />
                施工许可
              </td>
              <td></td>
              <td>
                <br />
                竣工验收
              </td>
            </tr>
            <tr class="tr2">
              <td>
                <img class="tr2Img" src="../../../assets/images/Right/1.png" />
              </td>
              <td>
                <img
                  class="tr2Img1"
                  src="../../../assets/images/Right/zhishi.png"
                />
              </td>
              <td>
                <img class="tr2Img" src="../../../assets/images/Right/2.png" />
              </td>
              <td>
                <img
                  class="tr2Img1"
                  src="../../../assets/images/Right/zhishi.png"
                />
              </td>
              <td>
                <img class="tr2Img" src="../../../assets/images/Right/3.png" />
              </td>
              <td>
                <img
                  class="tr2Img1"
                  src="../../../assets/images/Right/zhishi.png"
                />
              </td>
              <td>
                <img class="tr2Img" src="../../../assets/images/Right/4.png" />
              </td>
            </tr>
            <tr class="tr3">
              <td><span>8</span>个工作日</td>
              <td></td>
              <td><span>12</span>个工作日</td>
              <td></td>
              <td><span>12</span>个工作日</td>
              <td></td>
              <td><span>8</span>个工作日</td>
            </tr>
          </table>
        </div>
      </div>
    </div>

    <el-dialog
      v-dialogDrag
      title="政策文件"
      :visible.sync="dialogVisible1"
      width="50%"
      class="datlog"
      :before-close="handleDialogClose1"
    >
      <iframe
        src="http://127.0.0.1/zcwj.pdf"
        frameborder="0"
        scrolling="no"
        width="100%"
        height="1600px"
      ></iframe>
    </el-dialog>
    <el-dialog
      v-dialogDrag
      title="审批推进"
      :visible.sync="dialogVisible2"
      width="3071px"
      class="datlog"
      :before-close="handleDialogClose2"
    >
      <img
        src="../../../assets/images/审批图.png"
        width="3071px"
        height="1335px"
      />
    </el-dialog>
    <el-dialog
      v-dialogDrag
      title="审批流程"
      :visible.sync="dialogVisible3"
      width="4352px"
      class="datlog"
      :before-close="handleDialogClose3"
    >
      <div class="DatLog">
        <img src="../../../assets/images/审批流程.jpg" class="img" />
      </div>
    </el-dialog>
  </div>
</template>

<script>
import Highcharts from "highcharts";
import highcharts3d from "highcharts/highcharts-3d";
highcharts3d(Highcharts);

export default {
  data() {
    return {
      chart1: {},
      chart1option: {},
      dialogVisible1: false,
      dialogVisible2: false,
      dialogVisible3: false,
      fileSrc: "",
      DialogClose1: false,
      DialogClose2: false,
      DialogClose3: false,
      DialogClose4: false,
    };
  },

  methods: {
    datalogInit() {
      this.dialogVisible = false;
      this.dialogVisible1 = false;
    },

    //弹出窗体查看附件
    CheckAttachment(parm) {
      this.datalogInit();
      let src = "";
      switch (parm) {
        case "审批大厅":
          //飞到审批大厅的位置

          window.sgworld.Viewer.camera.setView({
            // destination : Cesium.Cartesian3.fromDegrees(120.551190414, 41.2951048611, 300),
            destination: Cesium.Cartesian3.fromDegrees(
              120.483005,
              41.599518,
              300
            ),
            orientation: {
              heading: Cesium.Math.toRadians(-25), // 相机方向指向当地东向
              pitch: Cesium.Math.toRadians(-70), // 再将相机方向转向地心，此时Up方向指向当地东向
              roll: 0.5,
            },
          });

          break;
        case "政策文件":
          this.DialogClose1 = true;
          this.dialogVisible1 = true;
          // this.fileSrc = "http://view.xdocin.com/xdoc?_xdoc=http://120.201.201.29:10000/static/20220609.pdf";
          // this.fileSrc = "http:/10.3.3.90:8090/zcwj.pdf";
          break;
        case "审批推进":
          this.dialogVisible2 = true;
          this.DialogClose2 = true;
          break;

        case "审批流程":
          this.dialogVisible3 = true;
          this.DialogClose3 = true;
          break;
      }

      //console.log(window.Viewer);
    },

    //查看各类用地面积
    DrawAllTypeArea() {
      this.chart1 = this.$echarts.init(
        document.getElementById("MainRightChart1")
      );
      const offsetX = 20;
      const offsetY = 10;
      // 绘制左侧面
      const CubeLeft = this.$echarts.graphic.extendShape({
        shape: {
          x: 0,
          y: 0,
        },
        buildPath: function (ctx, shape) {
          // 会canvas的应该都能看得懂，shape是从custom传入的
          const xAxisPoint = shape.xAxisPoint;
          // console.log(shape);
          const c0 = [shape.x, shape.y];
          const c1 = [shape.x - offsetX, shape.y - offsetY];
          const c2 = [xAxisPoint[0] - offsetX, xAxisPoint[1] - offsetY];
          const c3 = [xAxisPoint[0], xAxisPoint[1]];
          ctx
            .moveTo(c0[0], c0[1])
            .lineTo(c1[0], c1[1])
            .lineTo(c2[0], c2[1])
            .lineTo(c3[0], c3[1])
            .closePath();
        },
      });
      // 绘制右侧面
      const CubeRight = this.$echarts.graphic.extendShape({
        shape: {
          x: 0,
          y: 0,
        },
        buildPath: function (ctx, shape) {
          const xAxisPoint = shape.xAxisPoint;
          const c1 = [shape.x, shape.y];
          const c2 = [xAxisPoint[0], xAxisPoint[1]];
          const c3 = [xAxisPoint[0] + offsetX, xAxisPoint[1] - offsetY];
          const c4 = [shape.x + offsetX, shape.y - offsetY];
          ctx
            .moveTo(c1[0], c1[1])
            .lineTo(c2[0], c2[1])
            .lineTo(c3[0], c3[1])
            .lineTo(c4[0], c4[1])
            .closePath();
        },
      });
      // 绘制顶面
      const CubeTop = this.$echarts.graphic.extendShape({
        shape: {
          x: 0,
          y: 0,
        },
        buildPath: function (ctx, shape) {
          const c1 = [shape.x, shape.y];
          const c2 = [shape.x + offsetX, shape.y - offsetY]; //右点
          const c3 = [shape.x, shape.y - offsetX];
          const c4 = [shape.x - offsetX, shape.y - offsetY];
          ctx
            .moveTo(c1[0], c1[1])
            .lineTo(c2[0], c2[1])
            .lineTo(c3[0], c3[1])
            .lineTo(c4[0], c4[1])
            .closePath();
        },
      });
      // 注册三个面图形
      this.$echarts.graphic.registerShape("CubeLeft", CubeLeft);
      this.$echarts.graphic.registerShape("CubeRight", CubeRight);
      this.$echarts.graphic.registerShape("CubeTop", CubeTop);

      const VALUE = [
        98.0427, 164.0885, 9.96, 364.9488, 43.0512, 33.2987, 22.4711, 4.4591,
        1.5272,
        // 0.35, 0.36, 0.004, 0.075, 0.031, 0.004,
        // 0.07, 0.03, 0.02,
        // 0.017, 0.04, 0.02, 0.19, 0.03, 0.06, 2.5, 3.8, 2.75, 3.34, 0.50, 0.52, 0.04, 4.43
      ];
      const DATAX = [
        "房地产开发用地",
        "工业用地",
        "商业用地",
        "交通运输用地",
        "公园与绿地",
        "公用设施用地",
        "教育用地",
        "医卫慈善用地",
        "社会福利用地",
        // '教育科研用地', '商住混合', '公用设施营业网点用地', '交通场站用地', '交通枢纽用地',
        // '娱乐康体用地', '文物古迹用地', '广场用地', '供应设施用地', '安全设施用地', '环境设施用地', '河流', '公园绿地', '防护绿地', '农林用地',
        // '二类工业用地', '体育用地', '道路用地'
      ];
      this.chart1option = {
        tooltip: {
          trigger: "axis",
          textStyle: {
            fontSize: 20,
          },
          axisPointer: {
            type: "shadow",
          },
          formatter: function (params, ticket, callback) {
            const item = params[1];
            return item.name + " : " + item.value;
          },
        },
        grid: {
          left: "3%",
          right: "3%",
          top: "15%",
          bottom: "4%",
          containLabel: true,
        },
        xAxis: {
          offset: 15,
          type: "category",
          data: DATAX,
          axisLine: {
            show: true,
            lineStyle: {
              width: 2,
              color: "#ABCAE7",
            },
          },
          axisTick: {
            show: false,
          },
          axisLabel: {
            fontSize: 20,
            color: "#B5CBE6",
          },
        },
        yAxis: {
          type: "value",
          axisLine: {
            show: true,
            lineStyle: {
              width: 2,
              color: "#2B7BD6",
            },
          },
          splitLine: {
            show: true,
            lineStyle: {
              color: "#3185DB",
            },
          },
          axisTick: {
            show: false,
          },
          axisLabel: {
            fontSize: 25,
          },
          // boundaryGap: ['20%', '20%'],
        },
        series: [
          {
            type: "custom",
            renderItem: (params, api) => {
              const location = api.coord([api.value(0), api.value(1)]);
              return {
                type: "group",
                children: [
                  {
                    type: "CubeLeft",
                    shape: {
                      api,
                      xValue: api.value(0),
                      yValue: api.value(1),
                      x: location[0],
                      y: location[1],
                      xAxisPoint: api.coord([api.value(0), 0]),
                    },
                    style: {
                      fill: new this.$echarts.graphic.LinearGradient(
                        0,
                        0,
                        0,
                        1,
                        [
                          {
                            offset: 0,
                            color: "#33BCEB",
                          },
                          {
                            offset: 1,
                            color: "#63F3F8",
                          },
                        ]
                      ),
                    },
                  },
                  {
                    type: "CubeRight",
                    shape: {
                      api,
                      xValue: api.value(0),
                      yValue: api.value(1),
                      x: location[0],
                      y: location[1],
                      xAxisPoint: api.coord([api.value(0), 0]),
                    },
                    style: {
                      fill: new this.$echarts.graphic.LinearGradient(
                        0,
                        0,
                        0,
                        1,
                        [
                          {
                            offset: 0,
                            color: "#28A2CE",
                          },
                          {
                            offset: 1,
                            color: "#1A57B7",
                          },
                        ]
                      ),
                    },
                  },
                  {
                    type: "CubeTop",
                    shape: {
                      api,
                      xValue: api.value(0),
                      yValue: api.value(1),
                      x: location[0],
                      y: location[1],
                      xAxisPoint: api.coord([api.value(0), 0]),
                    },
                    style: {
                      fill: new this.$echarts.graphic.LinearGradient(
                        0,
                        0,
                        0,
                        1,
                        [
                          {
                            offset: 0,
                            color: "#43C4F1",
                          },
                          {
                            offset: 1,
                            color: "#28A2CE",
                          },
                        ]
                      ),
                    },
                  },
                ],
              };
            },
            data: VALUE,
          },
          {
            type: "line",
            itemStyle: {
              normal: {
                lineStyle: {
                  color: "#967CC8",
                  width: 2,
                },
                areaStyle: {
                  //区域填充样式
                  color: new this.$echarts.graphic.LinearGradient(0, 1, 0, 0, [
                    {
                      offset: 0,
                      color: "rgba(35, 205, 241, 0.1)",
                    },
                    {
                      offset: 1,
                      color: "rgba(35, 205, 241, 0.5)",
                    },
                  ]),
                },
              },
            },
            data: VALUE,
          },
        ],
      };

      this.chart1.setOption(this.chart1option);
    },

    //年办件审批量
    DrawJCSS() {
      this.chart1 = this.$echarts.init(
        document.getElementById("MainRight2Chart1")
      );
      let xLabel = ["2017", "2018", "2019", "2020", "2021", "2022"];
      let goToSchool = ["117", "140", "225", "460", "389", "169"];
      let goOutSchool = ["154", "310", "216", "234", "151", "76"];

      this.chart1option = {
        tooltip: {
          extraCssText: "z-index: 9",
          trigger: "axis",
          backgroundColor: "transparent",
          textStyle: {
            color: "#FFF",
            fontSize: 15,
          },
          axisPointer: {
            lineStyle: {
              color: {
                type: "linear",
                x: 0,
                y: 0,
                x2: 0,
                y2: 1,
                colorStops: [
                  {
                    offset: 0,
                    color: "rgba(126,199,255,0)", // 0% 处的颜色
                  },
                  {
                    offset: 0.5,
                    color: "rgba(126,199,255,1)", // 100% 处的颜色
                  },
                  {
                    offset: 1,
                    color: "rgba(126,199,255,0)", // 100% 处的颜色
                  },
                ],
                global: false, // 缺省为 false
              },
            },
          },
        },
        legend: {
          align: "left",
          right: "10%",
          top: "10%",
          type: "plain",
          textStyle: {
            color: "#FFFFFF",
            fontSize: 16,
          },
          // icon:'rect',
          itemGap: 25,
          itemWidth: 18,
          icon: "path://M0 2a2 2 0 0 1 2 -2h14a2 2 0 0 1 2 2v0a2 2 0 0 1 -2 2h-14a2 2 0 0 1 -2 -2z",

          data: [
            {
              name: "数量",
            },
          ],
        },
        grid: {
          top: "15%",
          left: "18%",
          right: "10%",
          bottom: "15%",
          // containLabel: true
        },
        xAxis: [
          {
            type: "category",
            boundaryGap: false,
            axisLine: {
              //坐标轴轴线相关设置。数学上的x轴
              show: true,
              lineStyle: {
                width: 1,
                color: "#233653",
              },
            },
            axisLabel: {
              //坐标轴刻度标签的相关设置
              textStyle: {
                color: "#7ec7ff",
                padding: 16,
                fontSize: 20,
              },
              formatter: function (data) {
                return data;
              },
            },
            splitLine: {
              show: true,
              lineStyle: {
                width: 2,
                color: "#192a44",
              },
            },
            axisTick: {
              show: false,
            },
            data: xLabel,
          },
        ],
        yAxis: [
          {
            name: "单位/件",
            nameTextStyle: {
              color: "#7ec7ff",
              fontSize: 20,
              padding: 2,
            },
            min: 0,
            splitLine: {
              show: true,
              lineStyle: {
                width: 2,
                color: "#192a44",
              },
            },
            axisLine: {
              show: true,
              lineStyle: {
                color: "#233653",
              },
            },
            axisLabel: {
              show: true,
              textStyle: {
                color: "#FFFFFF",
                padding: 16,
                fontSize: 22,
              },
              formatter: function (value) {
                if (value === 0) {
                  return value;
                }
                return value;
              },
            },
            axisTick: {
              show: false,
            },
          },
        ],
        series: [
          {
            name: "年办件审批量",
            type: "line",
            symbol: "circle", // 默认是空心圆（中间是白色的），改成实心圆
            showAllSymbol: true,
            symbolSize: 0,
            smooth: true,
            lineStyle: {
              normal: {
                width: 2,
                color: "rgba(25,163,223,1)", // 线条颜色
              },
              borderColor: "rgba(0,0,0,.4)",
            },
            itemStyle: {
              color: "rgba(25,163,223,1)",
              borderColor: "#646ace",
              borderWidth: 2,
            },
            tooltip: {
              show: true,
            },
            areaStyle: {
              //区域填充样式
              normal: {
                //线性渐变，前4个参数分别是x0,y0,x2,y2(范围0~1);相当于图形包围盒中的百分比。如果最后一个参数是‘true’，则该四个值是绝对像素位置。
                color: new this.$echarts.graphic.LinearGradient(
                  0,
                  0,
                  0,
                  1,
                  [
                    {
                      offset: 0,
                      color: "rgba(1,161,255,.8)",
                    },
                    {
                      offset: 1,
                      color: "rgba(1,161,255, 0)",
                    },
                  ],
                  false
                ),
                shadowColor: "rgba(25,163,223, 0.5)", //阴影颜色
                shadowBlur: 20, //shadowBlur设图形阴影的模糊大小。配合shadowColor,shadowOffsetX/Y, 设置图形的阴影效果。
              },
            },
            data: goToSchool,
          },
        ],
      };
      let len = 0;
      setInterval(() => {
        if (len === xLabel.length) {
          len = 0;
        }
        this.chart1.dispatchAction({
          type: "showTip",
          seriesIndex: 0,
          dataIndex: len,
        });
        len++;
      }, 2500);

      this.chart1.setOption(this.chart1option);
    },

    //市级下放事项
    DrawJCSSB() {
      let sum = 344;
      var data = [
        ["立地用地规划阶段", 140],
        ["工程许可建设阶段", 56],
        ["施工许可阶段", 99],
        ["竣工验收阶段", 49],
      ];

      var chart = Highcharts.chart("MainRight2Chart2", {
        colors: [
          "rgba(98,238,181,0.8)",
          "rgba(147,219,255,0.8)",
          "rgba(98,132,255,0.8)",
          "rgba(255,210,75,0.8)",
        ],
        chart: {
          backgroundColor: "transparent",
          type: "pie",
          options3d: {
            enabled: true,
            alpha: 65,
          },
        },
        title: {
          text: "",
        },
        credits: {
          enabled: false,
        },
        plotOptions: {
          pie: {
            innerSize: 60,
            depth: 20,
            dataLabels: {
              // '<b>{point.name}</b> '+'{point.y}/{sum}'
              format: "<b>{point.name}</b><br>{point.percentage:.1f} %",
              enabled: true, // 显示连线
              distance: "10%", //连线长度
              style: {
                // 标题样式设置
                color: "#FFFFFF", //字体颜色
                fontSize: "14px", //字体大小
                fontWeight: "400", // 字体粗细
                textOutline: "none", // 去除黑色阴影
              },
            },
          },
        },
        tooltip: {
          style: {
            color: "#000000",
            fontSize: "24px",
            fontWeight: "blod",
            fontFamily: "Courir new",
          },
        },
        series: [
          {
            name: "",
            data: data,
          },
        ],
      });
    },

    //各窗口办件占比
    DrawTD() {
      let data = [
        ["工商营业执照", 583],
        ["核准审批备案", 303],
        ["环评审批", 102],
        ["排污许可", 52],
        ["工程规划许可", 88],
        ["建设用地规划许可", 75],
        ["施工许可", 104],
        ["招投标备案", 193],
      ];
      var chart = Highcharts.chart("MainRight3Chart1", {
        colors: [
          "rgba(255,210,75,0.8)",
          "rgba(98,238,181,0.8)",
          "rgba(116,148,175,0.8)",
          "rgba(228,228,234,0.8)",
          "rgba(49,104,200,0.8)",
          "rgba(150,49,200,0.8)",
          "rgba(200,117,49,0.8)",
          "rgba(135,200,49,0.8)",
        ],

        chart: {
          backgroundColor: "transparent",
          type: "pie",
          options3d: {
            enabled: true,
            alpha: 60,
            beta: 0,
          },
        },
        credits: {
          enabled: false,
        },
        title: {
          text: "",
        },
        // tooltip: {
        // 	pointFormat: '{series.name}: <b>{point.percentage:.1f}%</b>'
        // },
        legend: {
          layout: "vertical",
          align: "left",
          verticalAlign: "middle",
          shadow: false,
          itemMarginTop: 30,
          x: 16,
          itemStyle: {
            color: "#FFF",
            fontSize: "18",
          },
        },
        plotOptions: {
          pie: {
            size: 230,
            allowPointSelect: true,
            cursor: "pointer",
            depth: 35,
            dataLabels: {
              enabled: false,
              format: "{point.name}",
            },
            showInLegend: true,
            center: ["10%", "50%"],
          },
        },
        tooltip: {
          style: {
            color: "#000000",
            fontSize: "24px",
            fontWeight: "blod",
            fontFamily: "Courir new",
          },
        },
        series: [
          {
            type: "pie",
            name: "办件数",
            data: data,
          },
        ],
      });
    },

    handleDialogClose1() {
      this.DialogClose1 = false;
      this.dialogVisible1 = false;
    },
    handleDialogClose2() {
      this.dialogVisible2 = false;
      this.DialogClose2 = false;
    },
    handleDialogClose3() {
      this.dialogVisible3 = false;
      this.DialogClose3 = false;
    },
  },

  mounted() {
    this.$nextTick(() => {
      this.DrawAllTypeArea();
      this.DrawJCSS();
      this.DrawJCSSB();
      this.DrawTD();
    });
  },
};
</script>

<style scoped="scoped" lang="less">
.containerR {
  height: 100%;
  width: 100%;
  display: flex;
  flex-direction: column;

  .MainRight1,
  .MainRight2,
  .MainRight3 {
    height: 34%;
    width: 100%;
  }

  .MainRight1 .titleC {
    width: 935px;
    height: 44px;
    background-image: url(../../../assets/images/titleC.png);
    background-size: 100% 100%;
    font-family: MytitileName;
    font-size: 24px;
    display: flex;
    align-items: center;
    color: #98deff;
    text-indent: 70px;
  }

  .MainRightChart1 {
    width: 100%;
    height: calc(100% - 72px);
  }

  .title {
    width: 460px;
    height: 38px;
    background-image: url(../../../assets/images/title.png);
    background-size: 100% 100%;
    font-family: MytitileName;
    font-size: 24px;
    display: flex;
    align-items: center;
    color: #98deff;
    text-indent: 70px;

    span {
      width: 70%;
    }

    button {
      cursor: pointer;
      background-color: #020919;
      height: 80%;
      width: 20%;
      font-size: 20px;
      color: #ffffff;
      text-align: center;
      border: solid 1px #04a7dc;
      border-radius: 5px;
      font-family: "微软雅黑";
    }

    .button {
      height: 80%;
      width: 20%;
      font-size: 30px;
      font-family: "microsoft yahei";
      background-color: transparent;
      color: #000000;
      border: solid 1px #04a7dc;
      background-color: RGB(132, 206, 230);
      border-radius: 10px;
    }
  }

  .MainRight2,
  .MainRight3 {
    display: flex;
    flex-direction: row;

    .MainRight2Chart1,
    .MainRight2Chart2 {
      width: 47%;
      height: 100%;
    }

    .MainRight3Chart1,
    .MainRight3Chart2 {
      width: 47%;
      height: 100%;
    }
  }

  #MainRight2Chart1,
  #MainRight2Chart2 {
    width: 100%;
    height: calc(100% - 72px);
  }

  #MainRight3Chart1,
  #MainRight3Chart2 {
    width: 100%;
    height: calc(100% - 72px);
  }

  #MainRight3Chart2 {
    display: flex;
    align-items: center;
  }

  #MainRight3Chart2 table {
    text-align: center;
    font-size: 30px;
    color: #6fafc5;
    height: 80%;
    width: 100%;

    .tr1 {
      height: 30%;
      font-size: 18px;
      color: #ffffff;
      font-weight: 600;
    }

    .tr2 {
      height: 40%;

      .tr2Img {
        width: 52px;
        height: 52px;
        background-repeat: no-repeat;
        background-size: 100% 100%;
      }

      .tr2Img1 {
        width: 42px;
        height: 20px;
        background-repeat: no-repeat;
        background-size: 100% 100%;
      }
    }

    .tr3 {
      height: 30%;
      font-size: 20px;
      color: #fff;

      span {
        color: #8eb2fa;
        font-family: "Orbitron";
        line-height: 42px;
        font-size: 25px;
      }
    }
  }
}

.datlog {
  border-radius: 10px;
}

.datlog /deep/ .el-dialog__header {
  background-color: rgba(35, 71, 107, 1);
  border: none;
  height: 50px;
  display: flex;
  align-items: center;
  // font-size: 40px;
}

.datlog /deep/ .el-dialog__title {
  color: #fff;
  font-size: 36px;
}

.datlog /deep/ .el-dialog__headerbtn {
  font-size: 36px;
}

.datlog /deep/ .el-dialog__body {
  padding: 0px;
  background-color: rgb(38 69 105);
}

.datlog /deep/ .el-dialog {
  display: flex;
  display: -ms-flex;
  /* 兼容IE */
  flex-direction: column;
  -ms-flex-direction: column;
  /* 兼容IE */
  margin: 0 !important;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  max-height: calc(100% - 30px);
  max-width: calc(100% - 30px);
}

.DatLog /deep/ .el-dialog .el-dialog__body {
  max-height: 100%;
  flex: 1;
  -ms-flex: 1 1 auto;
  /* 兼容IE */
  overflow-y: auto;
  overflow-x: hidden;
}

.el-dialog__wrapper {
  /*隐藏ie和edge中遮罩的滚动条*/
  overflow: hidden;
}

.DatLog {
  z-index: 99;
  height: 1536px;
  width: 4352px;
  margin: 0px;
  background-image: url(../../../assets/image/Left/KBG.png);
  display: flex;
  align-items: center;
  justify-content: center;

  .img {
    position: relative;
    height: 90%;
    width: 90%;
  }
}
</style>
